For AI agents: visit https://qoinhub.readme.io/llms.txt for an index of all pages formatted in Markdown and endpoints in OpenAPI. Append .md to any documentation page URL to get its markdown version.
Before hit this API, QoinHub will call [Access Token API B2B] Merchant first. Merchant have to use QoinHub a partner id that will be used in request header as X-PARTNER-ID.
Access Token API B2B
Path
[merchant_endpoint]/api/v1.0/access-token/b2b
HTTP Method
POST
Version
v1.0
Service Code
73
Request Header
Field Name
Field Type
Mandatory
Field Description
Content-type
String
M
Media type of the resource, i.e. application/json
X-TIMESTAMP
String
M
Client’s current local time in ISO-8601 format
X-SIGNATURE
String
M
Created using asymmetric signature SHA256withRSA algorithm. Read here
X-CLIENT-KEY
String
M
Client ID (given from email)
Content-type
application/json
X-TIMESTAMP
2025-07-06T14:12:50+07:00
X-SIGNATURE
neGbHoFVY1d7EtG8Z6VBWwykvyqIkg
X-CLIENT-KEY
QoinSnap
Request Body
Field Name
Field Type
Mandatory
Field Description
grantType
String
M
client_credentials: The client can request an access token using only its client credentials
Represents access_token of a request; string starts with keyword “Bearer ” followed by access_token. Can get this from Access Token B2B API response. Read here
X-TIMESTAMP
String
M
Client’s current local time in ISO-8601 format
X-SIGNATURE
String
M
Created using symmetric signature HMAC_SHA512 algorithm. Use Access Token B2B from above.
X-PARTNER-ID
String
M
API Key / Client ID merchant (Web Merchant > Pengaturan > System Setting > tab Security Key)